{ config, lib, pkgs, ... }:

{
  imports = [];

  networking.dhcpcd.enable = false;
  networking.useDHCP = false;
  # networking.nameservers = ["8.8.8.8" "8.8.4.4"];
  networking.nameservers = [ "194.242.2.2#doh.mullvad.net" "[2a07:e340::2]#doh.mullvad.net" ];
  # networking.nameservers = [ "1.1.1.1#one.one.one.one" "1.0.0.1#one.one.one.one" ];
  services.resolved = {
    enable = true;
    dnssec = "true";
    domains = [ "~." ];
    fallbackDns = [ ];
    dnsovertls = "true";
  };
  networking.wireless.iwd = {
    enable = true;

    settings = {
      General = {
        EnableNetworkConfiguration = true;
        AddressRandomization = "network";
      };
    };
  };
  environment.systemPackages = with pkgs; [
    iw
    iwd
  ];
}
